## jtreg8 8+2+ds1

=== debian/changelog ===
jtreg8 (8+2+ds1-2) unstable; urgency=medium

  * d/copyright: revert FSF address change.
  * d/s/lintian-overrides, d/jtreg8.lintian-overrides: add override for
    the old FSF address.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 21 Aug 2025 08:44:01 +1200

jtreg8 (8+2+ds1-1) unstable; urgency=medium

  * Initial upload of jtreg8

  [ Vladimir Petko ]
  * New upstream release 8.2 (Closes: #1110468).
    - refresh patches.
    - d/picocli/maven.rules: replace groovy version with 'debian'.
  * d/control: update Standards Version to 4.7.2 (no changes).
  * Add lintian overrides.
  * d/copyright: update FSF address.
  * d/p/flush_stream.patch: sync filesystem before grep. This workarounds
    an intermittent test failure.

  [ tony mancill ]
  * d/copyright: Add testng/testng-test-osgi/* (BSD-2-Clause)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 05 Aug 2025 08:52:20 +1200
