=== debian/control ===
Source: jtreg8
Section: java
Priority: optional
Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 ant,
 debhelper (>=11),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
 libjline2-java,
 zip,
 libjansi-native-java (>= 1.7),
 libmaven-bundle-plugin-java,
 maven-repo-helper,
 maven-debian-helper,
 gradle-debian-helper (>= 1.4),
 groovy (>= 2.4.10),
 libjna-java,
 libjuniversalchardet-java,
 libmaven-dependency-plugin-java,
 libmaven-source-plugin-java,
 libbuild-helper-maven-plugin-java,
 junit,
 libeasymock-java,
 libjmock-java,
 rsync,
 libmaven-shade-plugin-java,
 libassertj-core-java,
 libjtharness-java (>= 6.0),
 libyaml-snake-java,
 libfindbugs-java,
 libbsh-java,
 libasm-java,
 libcommons-lang-java,
 libmaven-plugin-tools-java,
 libplexus-component-metadata-java,
 libxbean-java,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/java-team/jtreg8.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg8
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg8
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
Conflicts: jtreg, jtreg6, jtreg7
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.
