## jtreg8 8.1%2B1%2Bds1

=== debian/changelog ===
jtreg8 (8.1+1+ds1-1~deb13u1) trixie-security; urgency=medium

  * Upload to Debian 13 (trixie).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Jan 2026 08:42:45 +1300

jtreg8 (8.1+1+ds1-1) unstable; urgency=medium

  * New upstream release jtreg 8.1, build 1.
  * d/{control, copyright, p/testng-build-with-gradle.patch}: drop
    snakeyaml dependency (Closes: #1117950).
  * Add patches to resolve test ftbfs (Closes: #1115694):
    - d/p/codetools-7904101.patch: capture all stdout/stderr output
      from the agent vm to the log file.
    - d/p/codetools-7904104-proposed.patch: do not interrupt main
      thread if the agent process is killed.
    - d/p/codetools-7904105-proposed.patch: synchronize test result
      updates.
    - d/p/codetools-7904106-proposed.patch: use different work
      directories for TestNativePath.
    - d/p/codetools-7904107-proposed.patch: add a separate target to
      filter log files.
  * d/flush_stream.patch: drop patch, it is replaced by
    d/p/codetools-7904101.patch.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Oct 2025 08:07:49 +1300
