=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jtreg8
 Section: java
 Priority: optional
-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,
@@ -34,7 +35,6 @@
  libmaven-shade-plugin-java,
  libassertj-core-java,
  libjtharness-java (>= 6.0),
- libyaml-snake-java,
  libfindbugs-java,
  libbsh-java,
  libasm-java,
