## jtreg8 8.1+1+ds1

=== debian/changelog ===
jtreg8 (8.1+1+ds1-1~22.04) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.
  * d/{control,rules}: jtreg 8.1 requires Java 17. Use openjdk-17 to
    build jtreg.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 23 Jan 2026 14:31:03 +1300
