=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: jtreg8
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,
  debhelper (>=11),
  default-jdk,
+ openjdk-17-jdk,
  help2man,
  javahelp2,
  javahelper,
