=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-JAVA_HOME = /usr/lib/jvm/default-java
+JAVA_HOME = /usr/lib/jvm/java-17-openjdk-$(shell dpkg --print-architecture)
 
 # version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
 VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
@@ -36,7 +36,7 @@
 	dh_clean
 
 override_dh_auto_build:
-	./debian/component-scripts/build-components.sh jtreg8 $(components)
+	JAVA_HOME=/usr/lib/jvm/default-java ./debian/component-scripts/build-components.sh jtreg8 $(components)
 
 	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
 	mkdir -p build/classes/com/sun/javatest/regtest/tool
