## jtreg8 8.2.1%2B1%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-JAVA_HOME = /usr/lib/jvm/java-17-openjdk-$(shell dpkg --print-architecture)
+JAVA_HOME = /usr/lib/jvm/default-java
 
 # version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
 VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
@@ -26,7 +26,7 @@
 	head -n 1 | \
 	sed -e 's/^[^0-9]*\(1\.\)*\([1-9][0-9]*\).*/\2/' )
 
-components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng
+components:=asmtools apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng
 
 %:
 	dh $@
@@ -36,13 +36,13 @@
 	dh_clean
 
 override_dh_auto_build:
-	JAVA_HOME=/usr/lib/jvm/default-java ./debian/component-scripts/build-components.sh jtreg8 $(components)
+	./debian/component-scripts/build-components.sh jtreg8 $(components)
 
 	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
 	mkdir -p build/classes/com/sun/javatest/regtest/tool
 	mkdir -p build/test
 	(cd make && make \
-		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
+		ASMTOOLS_JAR=../asmtools/build/asmtools/binaries/lib/asmtools.jar \
 		BUILD_DIR=../build \
 		JUNIT_JARS=../junit5/debian/jtreg8/usr/share/java/junit-platform-console-standalone.jar \
 		TESTNG_JARS="../testng/debian/jtreg8/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \
