## jtreg8 8.2.1+1+ds1

=== debian/changelog ===
jtreg8 (8.2.1+1+ds1-2) unstable; urgency=medium

  * d/p/codetools-7904157-proposed.patch: override compile timeout
    to resolve the test failure due to the compilation timing out
    with the default timeout (Closes: #1128797).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 23 Feb 2026 11:09:54 +1300

jtreg8 (8.2.1+1+ds1-1) unstable; urgency=medium

  * New upstream release jtreg 8.2.1, build 1.
    - Update vendored junit to 5.14.2.
    - Update vendored opentest4j-reporting to 0.2.5.
    - Vendor asmtools 9.1+b01.
  * d/control: Drop libasmtools-java dependency.
  * d/p/fix_junit5_error_message.patch: drop junit error message
    patch, JUnit 5 was upgraded.
  * d/p/codetools-790410{5,6,7}-proposed.patch: Drop patches
    applied upstream.
  * d/gbp-import.sh: Sign tags on import.
  * d/p/codetools-7904152.patch: skip security policy tests
    with Java 25 (CODETOOLS-7904152).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 17 Feb 2026 08:35:56 +1300
