=== debian/control ===
--- 
+++ 
@@ -7,11 +7,9 @@
  ant,
  debhelper (>=11),
  default-jdk,
- openjdk-17-jdk,
  help2man,
  javahelp2,
  javahelper,
- libasmtools-java,
  libjcommander-java,
  libslf4j-java,
  libguice-java,
